Public API
Get project
Returns project details including linked project configuration. Requires `canViewTranslations` permission.
sb-access-token<token>
Supabase Auth session cookie. Automatically set when users log in via the Movabase web app.
In: cookie
Path Parameters
project-id*string
Project ID
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://app.movabase.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"project": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"desc": "string",
"emoji": "string",
"organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
"linked_project_id": "4bb7fb5d-33a4-41b2-b175-a0abbdfa942c",
"linked_language_code": "string",
"linked_language_target_code": "string",
"created_at": "2019-08-24T14:15:22Z",
"canEdit": true,
"canDelete": true,
"canViewTranslations": true,
"canEditTranslations": true
}
}{
"error": "string"
}Get Bitbucket config
Returns the current Bitbucket integration status and configuration. Does not return the access token. Requires `canViewTranslations` permission.
Get translation history
Returns translation change history for a single translation or the entire project. Includes who made the change and when. Requires `canViewTranslations` permission.